package com.javacodegeeks.enterprise.jsf.treejsf;

import java.io.Serializable;

import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

import org.primefaces.model.DefaultTreeNode;
import org.primefaces.model.TreeNode;

@ManagedBean(name="treeBean")
@SessionScoped
public class TreeBean implements Serializable {
 
	private static final long serialVersionUID = 3350653785168926842L;
	private TreeNode root;
    
    @PostConstruct
    public void init() {
        root = new DefaultTreeNode("Root", null);
        TreeNode node0 = new DefaultTreeNode("Node 0", root);
        TreeNode node00 = new DefaultTreeNode("Node 0.0", node0);
        
        node00.getChildren().add(new DefaultTreeNode("Node 0.0.0"));
        node0.getChildren().add(new DefaultTreeNode("Node 0.1"));
              
        root.getChildren().add(new DefaultTreeNode("Node 1"));
    }
 
    public TreeNode getRoot() {
        return root;
    }
}